@import "../../../styles"
.botones
    justify-content: flex-end
    display: flex
    padding: 1rem
    button
        margin: 0 0.7rem
        text-transform: uppercase
.search
    justify-content: flex-start
    display: flex
    float: left
    width: 20%
    padding-top: 1rem
    &:focus
        border: 2px solid $color-primary-naranja-gnp

.fa-times
    color: $color-primary-naranja-gnp
.myInp
    line-height: 30px
    border: 2px solid $color-primary-humo
    border-radius: 5px
    font-family: $fonts
    padding-left: 3px
    &:hover
        border: 2px solid $color-primary-naranja-gnp
    &:focus
        border: 2px solid $color-primary-naranja-gnp
    &:active
        border: 2px solid $color-primary-naranja-gnp
    &:focus-within
        border: 2px solid $color-primary-naranja-gnp
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button
    -webkit-appearance: none
    margin: 0
input[type=number]
    -moz-appearance: textfield

.mat-cell
    > .table-cell
        text-overflow: ellipsis
        overflow: hidden
        white-space: nowrap

/*Cambiar estilo en los input*/
::ng-deep .mat-form-field-appearance-outline .mat-form-field-wrapper
    margin: 0
::ng-deep .mat-form-field-wrapper
    padding: 0

::ng-deep .mat-form-field-flex
    > .mat-form-field-infix
        padding: 0.4em 0px !important

::ng-deep .mat-form-field-label-wrapper
    top: -1.5em

::ng-deep .mat-form-field-appearance-outline.mat-form-field-can-float.mat-form-field-should-float .mat-form-field-label
    transform: translateY(-1.1em) scale(.75)
    width: 133.33333%
.mat-form-field
    width: 90%

.mat-header-cell
    background: $color-primary-azul-gnp
    font-family: $fonts
    color: $color-primary-humo
    font-weight: bold
    text-transform: uppercase
    justify-content: center
    &:first-child
        border-top-left-radius: 30px
    &:last-child
        border-top-right-radius: 30px

.mat-cell
    font-family: $fonts
    justify-content: center
    vertical-align: center
    input
        text-align: center
        font-family: $fonts

.overlay
    position: fixed
    display: block
    width: 100%
    height: 100%
    top: 0
    left: 0
    background-color: rgba(39, 36, 36, 0.8)
    z-index: 99999

.spinner
    position: absolute
    top: 50%
    left: 50%
    transform: translate(-50%,-50%)
